Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Do you have a typical platform dependent issue you're battling with ? Ask it here. Make sure you mention your platform, compiler, and wxWidgets version.
Post Reply
franck.revolle
In need of some credit
In need of some credit
Posts: 1
Joined: Sun Dec 04, 2016 12:40 pm

Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by franck.revolle » Sun Dec 04, 2016 12:56 pm

Hello
I try to reuse wxwidgets for my freeware expresseur.com, for the new version3. Impossile to rebuild the wxwidgets environment :-(

Config : wxwidgets 3.1.0 ( same issue with 3.0.2 ) / MacOS 10.12 Sierra

I have an error, building release package : "fatal error: 'QTKit/QTKit.h' file not found"

According to topic https://trac.macports.org/ticket/52069#no1 : wxWidgets-3.0: is not building in 10.12 Sierra beta due to missing QuickTime.h ,

I add the "--disable-qtkit"

Code: Select all

>>mkdir build_release
>>cd build_release
>>../configure --disable-qtkit --with-osx_cocoa --with-macosx-version-min=10.7 --with-macosx-sdk=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk --prefix="$(pwd)" 
>>make
...
../src/osx/cocoa/mediactrl.mm:76:10: fatal error: 'QTKit/QTKit.h' file not found
#include <QTKit/QTKit.h>
         ^
1 error generated.
make: *** [mediadll_osx_cocoa_mediactrl.o] Error 1
I've tried with options "--disable-qtkit --disable-mediactrl " : same issue ...

Thank you in advance for support.
Franck

User avatar
doublemax
Moderator
Moderator
Posts: 13868
Joined: Fri Apr 21, 2006 8:03 pm
Location: $FCE2

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by doublemax » Sun Dec 04, 2016 1:23 pm

Please try the latest version from GIT.

http://trac.wxwidgets.org/ticket/17639
Use the source, Luke!

fishnet37222
Knows some wx things
Knows some wx things
Posts: 39
Joined: Sat May 06, 2017 1:40 pm

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by fishnet37222 » Sun Sep 10, 2017 5:38 pm

I know this thread is over a year old, but I just got the latest source from Git and when I tried to use the option "--disable-qtkit" on my Mac, configure complained about it being an unrecognized option.
Dave F.

raananb
Super wx Problem Solver
Super wx Problem Solver
Posts: 381
Joined: Fri Oct 27, 2006 4:35 pm
Location: Paris, France
Contact:

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by raananb » Mon Sep 11, 2017 8:02 am


fishnet37222
Knows some wx things
Knows some wx things
Posts: 39
Joined: Sat May 06, 2017 1:40 pm

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by fishnet37222 » Mon Sep 11, 2017 10:52 am

The reason I tried "--disable-qtkit" is because when I try to build the the latest version from git on my Mac running macOS High Sierra, I get a build error complaining that "QTKit.h" cannot be found.
Dave F.

User avatar
doublemax
Moderator
Moderator
Posts: 13868
Joined: Fri Apr 21, 2006 8:03 pm
Location: $FCE2

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by doublemax » Mon Sep 11, 2017 12:10 pm

fishnet37222 wrote:The reason I tried "--disable-qtkit" is because when I try to build the the latest version from git on my Mac running macOS High Sierra, I get a build error complaining that "QTKit.h" cannot be found.
Can you give the complete error message with source file and line number? With a full textsearch i couldn't find any file that includes "qtkit.h".
Use the source, Luke!

fishnet37222
Knows some wx things
Knows some wx things
Posts: 39
Joined: Sat May 06, 2017 1:40 pm

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by fishnet37222 » Mon Sep 11, 2017 12:56 pm

Actually, it was the 3.1.0 version that can be downloaded from the main wxWidgets site that gave me the error about "qtkit.h" not being found. When I read the post above that said to use the latest version from git, I thought it meant to also use the "--disable-qtkit" flag. When I use the latest version from git without using the "--disable-qtkit" flag, it builds without any errors.
Dave F.

User avatar
doublemax
Moderator
Moderator
Posts: 13868
Joined: Fri Apr 21, 2006 8:03 pm
Location: $FCE2

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by doublemax » Mon Sep 11, 2017 1:10 pm

fishnet37222 wrote:When I use the latest version from git without using the "--disable-qtkit" flag, it builds without any errors.
So, everything solved now?
Use the source, Luke!

fishnet37222
Knows some wx things
Knows some wx things
Posts: 39
Joined: Sat May 06, 2017 1:40 pm

Re: Fail to build wxwidgets 3.1.0 on MacOS 10.12 Sierra

Post by fishnet37222 » Mon Sep 11, 2017 1:12 pm

I would say yes.
Dave F.

Post Reply